# eric3.Debugger.EditBreakpointDialog

Module implementing a dialog to edit breakpoint properties.

### Classes

EditBreakpointDialog | Class implementing a dialog to edit breakpoint properties.

### Functions

None

## EditBreakpointDialog

Class implementing a dialog to edit breakpoint properties.

### Derived from

EditBreakpointForm

### Methods

EditBreakpointDialog | Constructor
filenameChanged | Private slot to handle the change of the filename.
getAddData | Public method to retrieve the entered data for an add.
getData | Public method to retrieve the entered data.
handleSelectFile | Private slot to select a file via a file selection dialog.

### EditBreakpointDialog (Constructor)

EditBreakpointDialog(id, properties, condHistory, parent = None, name = None, modal = 0, fl = 0, addMode = 0, filenameHistory = None)

Constructor

id
  id of the breakpoint (tuple) (filename, linenumber)
properties
  properties for the breakpoint (tuple) (condition, temporary flag, enabled flag, ignore count)
condHistory
  the list of conditionals history (QStringList)
parent
  the parent of this dialog
name
  the widget name of this dialog
modal
  flag indicating a modal dialog
fl
  the window flags

### EditBreakpointDialog.filenameChanged

filenameChanged(fn)

Private slot to handle the change of the filename.

fn
  text of the filename edit (QString)

### EditBreakpointDialog.getAddData

getAddData()

Public method to retrieve the entered data for an add.

Returns:
  a tuple containing the new breakpoints properties (filename, lineno, condition, temporary flag, enabled flag, ignore count)

### EditBreakpointDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  a tuple containing the breakpoints new properties (condition, temporary flag, enabled flag, ignore count)

### EditBreakpointDialog.handleSelectFile

handleSelectFile()

Private slot to select a file via a file selection dialog.

Up